require 'rails_helper'

describe QrCodePolicy do
  let(:user_context) { build(:user_context) }

  subject { described_class }

  permissions :show? do
    it { is_expected.to permit(:show) }
  end

  permissions :create? do
    it { is_expected.not_to permit(:create) }
  end

  permissions :update? do
    it { is_expected.not_to permit(:update) }
  end

  permissions :destroy? do
    it { is_expected.not_to permit(:destroy) }
  end
end
